Docsite Title > com.package1

# com.package1.modulePropertyComments1.2.3

- Properties
- Methods

open module com.package1.modulePropertyComments

Module properties with different kinds of comments.

Module URI:
  https://example.com/modulePropertyComments.pkl content_copy
Source code:
  modulePropertyComments.pkl
Known subtypes:
Known usages:
All versions:

## Properties(show inherited)

- expand_more link
  hidden
  output: ModuleOutput (pkl.base) Source

  The output of this module.

  Defaults to all module properties rendered as either Pcf or the format specified on the command line.

- link
  property1: Float Source
- link
  property2: Float Source
- link
  property3: Float Source

  Property with single-line doc comment.

- link
  property4: Float Source

  Property with multi-line doc comment.

- link
  property5: Float Source

  Property with single-line Markdown doc comment.

- link
  property6: Float Source

  Property with multi-line Markdown doc comment.

- link
  property7: Float Source

  😀😀😀 Property with 😎😎😎 Unicode doc comment. 😡😡😡

- expand_more link
  property8: Int Source

  Summary

      code = 4 * 10

  Rest of the body

- expand_more link
  property9: Int Source

  Summary

      code = 0

  Rest

- expand_more link
  property10: Int Source

      code = 2

  Rest

## Methods(show inherited)

- link
  function
  getClass(): Class (pkl.base) Source

  Returns the class of `this`.

- expand_more link
  function
  toString(): String (pkl.base) Source

  Returns a string representation of `this`.

  This method is used to convert the values of string interpolation expressions to strings.

- expand_more link
  function
  ifNonNull<Result>(transform: (NonNull) -> Result): Result? (pkl.base) Source

  Returns `this |> transform` if `this` is non-null, and `null` otherwise.

  This method is the complement of the `??` operator and the equivalent of an `Option` type's `map` and `flatMap` methods.

- link
  function
  hasProperty(name: String): Boolean (pkl.base) Source

  Tells if this object has a property with the given `name`.

- expand_more link
  function
  getProperty(name: String): unknown (pkl.base) Source

  Returns the value of the property with the given `name`.

  Throws if a property with this name does not exist.

- expand_more link
  function
  getPropertyOrNull(name: String): unknown? (pkl.base) Source

  Returns the value of the property with the given `name`.

  Returns `null` if a property with this name does not exist.

- link
  function
  toDynamic(): Dynamic (pkl.base) Source

  Converts this object to a `Dynamic` object.

- link
  function
  toMap(): Map<String, unknown> (pkl.base) Source

  Converts this object to a `Map`.

- expand_more link
  function
  relativePathTo(other: Module): List<String> (pkl.base) Source

  Returns the relative, descendent directory path between this module and `other`.

  Throws if no such path exists.

  For example, if module `mod1` has path `/dir1/mod1.pkl`, and module `mod2` has path `/dir1/dir2/dir3/mod2.pkl`, then `mod1.relativePathTo(mod2)` will return `List("dir2", "dir3")`.

  A common use case is to compute the directory path between a template located at the root of a hierarchy (say `rootModule.pkl`) and the currently evaluated module (accessible via the `module` keyword):

      import "rootModule.pkl" // self-import
      path = rootModule.relativePathTo(module)